package com.shxy.xymanager_service.service;

import com.shxy.xymanager_common.bean.ServiceBody;
import com.shxy.xymanager_common.model.TerminalListModel;
import com.shxy.xymanager_common.vo.TerminalIdListVo;
import com.shxy.xymanager_common.vo.TerminalVo;

/**
 * 设备接口
 *
 * @author 晶晶
 */
public interface TerminalStatusService {
    /**
     * 获取所有设备接口
     *
     * @return
     */
    ServiceBody<TerminalListModel> getTerminalList();

    /**
     * 添加设备信息
     *
     * @return
     */
    ServiceBody<String> addTerminal(TerminalVo terminalVo);

    /**
     * 删除装置信息
     * @param vo
     * @return
     */
    ServiceBody<String> deleteLine(TerminalIdListVo vo);
}
