package com.shxy.xymanager_dao.dao;

import com.shxy.xymanager_common.dto.DyLineAndTerminalNoHeartDto;
import com.shxy.xymanager_common.dto.DyLineAndTerminalWithHeartDto;
import com.shxy.xymanager_common.entity.DyLevel;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface DyLevelDao {
    int deleteByPrimaryKey(Integer id);

    int insert(DyLevel record);

    int insertSelective(DyLevel record);

    DyLevel selectByPrimaryKey(Integer id);

    List<DyLevel> selectAll(@Param("status") Integer status);

    List<DyLineAndTerminalWithHeartDto> selectTreeList(@Param("status") Integer status);

    List<DyLineAndTerminalNoHeartDto> selectTreeListByChannelId(@Param("channelid") Integer channelid, @Param("status") Integer status);

    int updateByPrimaryKeySelective(DyLevel record);

    int updateByPrimaryKey(DyLevel record);
}